%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global momorel 2

Summary: RPM installer/updater
Name: yum
Version: 3.2.0
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/3.2/%{name}-%{version}.tar.gz
NoSource: 0
Source1: yum.conf.momonga
Source2: yum-updatesd.conf.momonga

Source99: plugin.conf
# default plugins here
Source100: installonlyn.py

Patch1: yum-3.1.3-lib64.patch
Patch10: yum-3.0-momonga.patch

URL: http://linux.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Conflicts: pirut < 1.1.4
Requires: python >= 2.5, rpm-python, rpm >= 0:4.4.2
Requires: urlgrabber
Requires: yum-metadata-parser 
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%package updatesd
Summary: Update notification daemon
Group: Applications/System
Requires: yum = %{version}-%{release}
Requires: dbus-python
Requires: pygobject
Requires(preun): chkconfig
Requires(post): chkconfig
Requires(preun): initscripts
Requires(post): initscripts

%description updatesd
yum-updatesd provides a daemon which checks for available updates and 
can notify you when they are available via email, syslog or dbus. 

%prep
%setup -q
%patch1 -p1
%patch10 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.conf

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d $RPM_BUILD_ROOT/usr/lib/yum-plugins

install -m 644 %{SOURCE100} $RPM_BUILD_ROOT/usr/lib/yum-plugins/installonlyn.py
install -m 644 %{SOURCE99} $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf
cat >> $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf << EOF
# this sets the number of package versions which are kept
tokeep=2
EOF

# install yum-updatesd
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/yum/yum-updatesd.conf

# for now, move repodir/yum.conf back
mv $RPM_BUILD_ROOT/%{_sysconfdir}/yum/repos.d $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/yum/yum.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post updatesd
/sbin/chkconfig --add yum-updatesd
/sbin/service yum-updatesd condrestart >/dev/null 2>&1
exit 0

%preun updatesd
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum-updatesd
 /sbin/service yum-updatesd stop >/dev/null 2>&1
fi
exit 0

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%config(noreplace) %{_sysconfdir}/yum.conf
%dir %{_sysconfdir}/yum
#%%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %{_sysconfdir}/logrotate.d/yum
%dir %{_datadir}/yum-cli
%{_datadir}/yum-cli/*
%{_bindir}/yum
%{python_sitelib}/yum
%{python_sitelib}/rpmUtils
%dir /var/cache/yum
%{_mandir}/man*/yum.*
%{_mandir}/man*/yum-shell*
# plugin stuff
%dir %{_sysconfdir}/yum/pluginconf.d 
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/*
%dir /usr/lib/yum-plugins
/usr/lib/yum-plugins/*

%files updatesd
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/yum-updatesd.conf
%config %{_sysconfdir}/init.d/yum-updatesd
%config %{_sysconfdir}/dbus-1/system.d/yum-updatesd.conf
%{_sbindir}/yum-updatesd
%{_mandir}/man*/yum-updatesd*


%changelog
* Tue Jun 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.2.0-2m)
- rewind to version 3.2.0 for pungi and anaconda
  installer doesn't work with yum-3.2.1
  I lost 10 DVDs...

* Fri Jun 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.1-1m)
- update 3.2.1

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.0-1m)
- update 3.2.0

* Sat Apr 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.7-1m)
- update 3.1.7

* Sun Apr  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.6-1m)
- update 3.1.6

* Fri Mar 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.5-1m)
- update 3.1.5

* Thu Mar  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.4-1m)
- update 3.1.4

* Mon Mar  4 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.3-1m)
- update 3.1.3
- sync rawhide
- modify install python site-package dir

* Sun Feb 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.2-1m)
- update 3.1.2

* Wed Feb 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.1-1m)
- update 3.1.1

* Thu Jan 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.3-1m)
- update 3.0.3

* Sun Dec 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.1-1m)
- update 3.0.1
- add python-2.5 patch

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0-3m)
- rebuild against python-2.5

* Mon Oct 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-2m)
- move yum-updatesd.conf from yum to yum-updatesd

* Sun Oct 15 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0-1m)
- update-3.0

* Thu Aug  3 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.1-4m)
- remove exclude = kernel* for yum.conf

* Thu Jul  6 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.1-3m)
- revise 'yum-2.6.1-momonga.patch' to force upgrading to different version
- add 'Obsoletes: yum-metadata-parser'

* Thu Jul  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.1-2m)
- maki modosi

* Sun Jul  2 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.9.2-2m)
- exclude lame-devel and usolame-devel

* Thu Jun 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.9.2-1m)
- update to version 2.9.2

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.9.1-1m)
- update to version 2.9.1
- Require yum-metadata-parser

* Thu Apr 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.1-1m)
- update to version 2.6.1
- delete included patches
- add into yum.conf.momonga
  +keepcache=0
  +plugins=1
  +metadata_expire=1800
- add Source99: plugin.conf
- add Source100: installonlyn.py
- add Patch0: yum-2.6.0-proxy.patch
- use %%make
- fix %%files section
- update Patch10: yum-2.6.1-momonga.patch

* Sun Oct 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.0-1m)
- version 2.4.0
- sync with Fedora Core devel
 +* Sun Oct 23 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-7
 +- Drop anaconda flag patch
 +- Fix ppc64pseries/iseries basearch substitution
 +
 +* Thu Oct 06 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-6
 +- Backport transaction constants
 +- Allow setting anaconda flag
 +
 +* Tue Oct  4 2005 Jeremy Katz <katzj@redhat.com>
 +- add dirs for plugins
 +
 +* Tue Sep 27 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-5
 +- add yum-cli dir (#169334)
 +
 +* Wed Sep 21 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-4
 +- make returnByName* be consistent in what it returns (#168712)
 +
 +* Fri Sep 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-3
 +- add two patches for anaconda that have been committed upstream
 +  * allow removal of packages from transaction
 +  * support search by name with sqlite
 +
 +* Thu Sep 01 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-2
 +- Initial version of macro support patch

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.2-3m)
- rebuild against python-2.4.2

* Thu Apr 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.3.2-2m)
- add Require

* Sun Apr 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.2-1m)
- update to 2.3.2
- update Patch0: yum-2.3.2-momonga.patch
- delete included Patch1: yum-2.3.1-sqlite-fix.patch 

* Wed Mar 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.3.1-1m)
- up to 2.3.1

* Sat Mar 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.0-2m)
- modify rpmUtils.arch.getBaseArch()
  Same arch as system arch is selected.

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.0-1m)
- upgrade 2.3.0

* Sat Jan 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.7-5m)
- default architecture of ix86 is now i686
- use specopt for i586

* Mon Aug  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.7-4m)
- update yum.conf for MomongaLinux1 release

* Sun Jul 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.7-3m)
- change yum.conf for momonga linux 1 beta2

* Sun Jul 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.7-2m)
- add patch1 for fix yum.conf

* Thu May 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.7-1m)
- 1st release.

* Fri May  7 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.7

* Tue Mar 16 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.6

* Sat Jan 31 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.5

* Sun Oct 19 2003 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.4

* Mon Sep  8 2003 Seth Vidal <skvidal@phy.duke.edu>
- brown paper-bag 2.0.3

* Sun Sep  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0.2

* Fri Aug 15 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0.1

* Sun Jul 13 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0

* Sat Jul 12 2003 Seth Vidal <skvidal@phy.duke.edu>
- made yum.cron config(noreplace)

* Sat Jun  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- add stubs to spec file for rebuilding easily with custom yum.conf and
- yum.cron files

* Sat May 31 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 1.98

* Mon Apr 21 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 1.97

* Wed Apr 16 2003 Seth Vidal <skvidal@phy.duke.edu>
- moved to fhs compliance
- ver to 1.96

* Mon Apr  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- updated for 1.95 betaish release
- remove /sbin legacy
- no longer starts up by default
- do the find_lang thing

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.4
- new spec file for rhl 8.0

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
